## libcsoap 1.1.0-17.2

=== examples/Makefile ===
# Makefile.in generated by automake 1.10.3 from Makefile.am.
# examples/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/csoap
pkglibdir = $(libdir)/csoap
pkgincludedir = $(includedir)/csoap
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = examples
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run aclocal-1.10
AMTAR = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -pthread -g -O2 -g -Wall -O2 -I/usr/include/libxml2 -I/usr/include/openssl
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -lxml2 -L/usr/lib
LIBNSL = -lnsl
LIBOBJS = 
LIBS =   -lssl -lcrypto
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = csoap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = csoap
PACKAGE_STRING = csoap 1.1.0
PACKAGE_TARNAME = csoap
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.0
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.0
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2
abs_builddir = /tmp/u/libcsoap-1.1.0/examples
abs_srcdir = /tmp/u/libcsoap-1.1.0/examples
abs_top_builddir = /tmp/u/libcsoap-1.1.0
abs_top_srcdir = /tmp/u/libcsoap-1.1.0
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
csoap_major = 1
csoap_minor = 1
csoap_patch = 0
csoap_release = 1.1
csoap_version = 2:0:1
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /tmp/u/libcsoap-1.1.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/libcsoap
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /bin/mkdir -p
nanohttp_release = 1.1
nanohttp_version = 2:0:1
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
SUBDIRS = nanohttp csoap
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@fail= failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \

=== examples/csoap/Makefile ===
# Makefile.in generated by automake 1.10.3 from Makefile.am.
# examples/csoap/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/csoap
pkglibdir = $(libdir)/csoap
pkgincludedir = $(includedir)/csoap
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = simpleclient$(EXEEXT) simpleserver$(EXEEXT) \
	echoattachments-client$(EXEEXT) \
	echoattachments-server$(EXEEXT)
bin_PROGRAMS = soapclient$(EXEEXT)
subdir = examples/csoap
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
am_echoattachments_client_OBJECTS = echoattachments-client.$(OBJEXT)
echoattachments_client_OBJECTS = $(am_echoattachments_client_OBJECTS)
echoattachments_client_LDADD = $(LDADD)
echoattachments_client_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
am_echoattachments_server_OBJECTS = echoattachments-server.$(OBJEXT)
echoattachments_server_OBJECTS = $(am_echoattachments_server_OBJECTS)
echoattachments_server_LDADD = $(LDADD)
echoattachments_server_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
am_simpleclient_OBJECTS = simpleclient.$(OBJEXT)
simpleclient_OBJECTS = $(am_simpleclient_OBJECTS)
simpleclient_LDADD = $(LDADD)
simpleclient_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
am_simpleserver_OBJECTS = simpleserver.$(OBJEXT)
simpleserver_OBJECTS = $(am_simpleserver_OBJECTS)
simpleserver_LDADD = $(LDADD)
simpleserver_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
am_soapclient_OBJECTS = soapclient.$(OBJEXT)
soapclient_OBJECTS = $(am_soapclient_OBJECTS)
soapclient_LDADD = $(LDADD)
soapclient_DEPENDENCIES = ../../nanohttp/libnanohttp.la \
	../../libcsoap/libcsoap.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(echoattachments_client_SOURCES) \
	$(echoattachments_server_SOURCES) $(simpleclient_SOURCES) \
	$(simpleserver_SOURCES) $(soapclient_SOURCES)
DIST_SOURCES = $(echoattachments_client_SOURCES) \
	$(echoattachments_server_SOURCES) $(simpleclient_SOURCES) \
	$(simpleserver_SOURCES) $(soapclient_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run aclocal-1.10
AMTAR = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -pthread -g -O2 -g -Wall -O2 -I/usr/include/libxml2 -I/usr/include/openssl
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -lxml2 -L/usr/lib
LIBNSL = -lnsl
LIBOBJS = 
LIBS =   -lssl -lcrypto
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = csoap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = csoap
PACKAGE_STRING = csoap 1.1.0
PACKAGE_TARNAME = csoap
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.0
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.0
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2
abs_builddir = /tmp/u/libcsoap-1.1.0/examples/csoap
abs_srcdir = /tmp/u/libcsoap-1.1.0/examples/csoap
abs_top_builddir = /tmp/u/libcsoap-1.1.0
abs_top_srcdir = /tmp/u/libcsoap-1.1.0
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
csoap_major = 1
csoap_minor = 1
csoap_patch = 0
csoap_release = 1.1
csoap_version = 2:0:1
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /tmp/u/libcsoap-1.1.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/libcsoap
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /bin/mkdir -p
nanohttp_release = 1.1
nanohttp_version = 2:0:1
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
LDADD = ../../nanohttp/libnanohttp.la ../../libcsoap/libcsoap.la
INCLUDES = -I${top_srcdir}
simpleclient_SOURCES = simpleclient.c
simpleserver_SOURCES = simpleserver.c
echoattachments_server_SOURCES = echoattachments-server.c
echoattachments_client_SOURCES = echoattachments-client.c
soapclient_SOURCES = soapclient.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/csoap/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/csoap/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
echoattachments-client$(EXEEXT): $(echoattachments_client_OBJECTS) $(echoattachments_client_DEPENDENCIES) 
	@rm -f echoattachments-client$(EXEEXT)
	$(LINK) $(echoattachments_client_OBJECTS) $(echoattachments_client_LDADD) $(LIBS)
echoattachments-server$(EXEEXT): $(echoattachments_server_OBJECTS) $(echoattachments_server_DEPENDENCIES) 
	@rm -f echoattachments-server$(EXEEXT)
	$(LINK) $(echoattachments_server_OBJECTS) $(echoattachments_server_LDADD) $(LIBS)
simpleclient$(EXEEXT): $(simpleclient_OBJECTS) $(simpleclient_DEPENDENCIES) 
	@rm -f simpleclient$(EXEEXT)
	$(LINK) $(simpleclient_OBJECTS) $(simpleclient_LDADD) $(LIBS)
simpleserver$(EXEEXT): $(simpleserver_OBJECTS) $(simpleserver_DEPENDENCIES) 
	@rm -f simpleserver$(EXEEXT)
	$(LINK) $(simpleserver_OBJECTS) $(simpleserver_LDADD) $(LIBS)
soapclient$(EXEEXT): $(soapclient_OBJECTS) $(soapclient_DEPENDENCIES) 
	@rm -f soapclient$(EXEEXT)
	$(LINK) $(soapclient_OBJECTS) $(soapclient_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

#include ./$(DEPDIR)/echoattachments-client.Po
#include ./$(DEPDIR)/echoattachments-server.Po
#include ./$(DEPDIR)/simpleclient.Po
#include ./$(DEPDIR)/simpleserver.Po
#include ./$(DEPDIR)/soapclient.Po

.c.o:
#	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c $<

.c.obj:
#	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
#	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

=== examples/nanohttp/Makefile ===
# Makefile.in generated by automake 1.10.3 from Makefile.am.
# examples/nanohttp/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/csoap
pkglibdir = $(libdir)/csoap
pkgincludedir = $(includedir)/csoap
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = http_server$(EXEEXT) http_client$(EXEEXT)
subdir = examples/nanohttp
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_http_client_OBJECTS = http_client.$(OBJEXT)
http_client_OBJECTS = $(am_http_client_OBJECTS)
http_client_LDADD = $(LDADD)
http_client_DEPENDENCIES = ../../nanohttp/libnanohttp.la
am_http_server_OBJECTS = http_server.$(OBJEXT)
http_server_OBJECTS = $(am_http_server_OBJECTS)
http_server_LDADD = $(LDADD)
http_server_DEPENDENCIES = ../../nanohttp/libnanohttp.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(http_client_SOURCES) $(http_server_SOURCES)
DIST_SOURCES = $(http_client_SOURCES) $(http_server_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run aclocal-1.10
AMTAR = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run automake-1.10
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -pthread -g -O2 -g -Wall -O2 -I/usr/include/libxml2 -I/usr/include/openssl
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS =  -lxml2 -L/usr/lib
LIBNSL = -lnsl
LIBOBJS = 
LIBS =   -lssl -lcrypto
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /tmp/u/libcsoap-1.1.0/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = csoap
PACKAGE_BUGREPORT = 
PACKAGE_NAME = csoap
PACKAGE_STRING = csoap 1.1.0
PACKAGE_TARNAME = csoap
PACKAGE_URL = 
PACKAGE_VERSION = 1.1.0
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 1.1.0
XML2_CONFIG = /usr/bin/xml2-config
XML_CPPFLAGS = -I/usr/include/libxml2
XML_LIBS = -lxml2
abs_builddir = /tmp/u/libcsoap-1.1.0/examples/nanohttp
abs_srcdir = /tmp/u/libcsoap-1.1.0/examples/nanohttp
abs_top_builddir = /tmp/u/libcsoap-1.1.0
abs_top_srcdir = /tmp/u/libcsoap-1.1.0
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = x86_64-linux-gnu
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
csoap_major = 1
csoap_minor = 1
csoap_patch = 0
csoap_release = 1.1
csoap_version = 2:0:1
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = $(SHELL) /tmp/u/libcsoap-1.1.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${prefix}/lib/libcsoap
localedir = ${datarootdir}/locale
localstatedir = /var
lt_ECHO = echo
mandir = ${prefix}/share/man
mkdir_p = /bin/mkdir -p
nanohttp_release = 1.1
nanohttp_version = 2:0:1
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
LDADD = ../../nanohttp/libnanohttp.la
INCLUDES = -I${top_srcdir}
http_server_SOURCES = http_server.c
http_client_SOURCES = http_client.c
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  examples/nanohttp/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  examples/nanohttp/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
http_client$(EXEEXT): $(http_client_OBJECTS) $(http_client_DEPENDENCIES) 
	@rm -f http_client$(EXEEXT)
	$(LINK) $(http_client_OBJECTS) $(http_client_LDADD) $(LIBS)
http_server$(EXEEXT): $(http_server_OBJECTS) $(http_server_DEPENDENCIES) 
	@rm -f http_server$(EXEEXT)
	$(LINK) $(http_server_OBJECTS) $(http_server_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

#include ./$(DEPDIR)/http_client.Po
#include ./$(DEPDIR)/http_server.Po

.c.o:
#	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c $<

.c.obj:
#	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
#	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
#	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes 
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) 
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:

=== examples/xsd2c/ex1/Makefile ===
#########################################################
#
# XSD2C Examles Makefile
#
#########################################################

SHELL	= bash
CC	= gcc


VPATH	= . ../

EXECNAME= ex1.exe
XSDFILE = ex1.xsd
EXSRC	= ex1.c utils.c
GENSRC	= Person_xsd.c

EXOBJ	= $(addsuffix .o, $(basename $(EXSRC)))
GENOBJ	= $(addsuffix .o, $(basename $(GENSRC)))
OBJECTS =  $(EXOBJ) $(GENOBJ) 
XSD2C	= ../../xsd2c

CFLAGS	= `xml2-config --cflags`
CLIBS	= `xml2-config --libs`

$(EXECNAME): stubs  $(GENSRC) $(OBJECTS) 
	$(CC) -g $(CFLAGS) -o $@ $(OBJECTS) $(CLIBS)


stubs:
	$(XSD2C) -S $(XSDFILE) 

clean:
	-@rm -f *.o
	-@rm -f *_xsd.h
	-@rm -f *_xsd.c
	-@rm -f *~
	-@rm -f $(EXECNAME)

=== examples/xsd2c/ex2/Makefile ===
#########################################################
#
# XSD2C Examles Makefile
#
#########################################################

SHELL	= bash
CC	= gcc


VPATH	= . ../

EXECNAME= ex2.exe
XSDFILE = ex2.xsd
EXSRC	= ex2.c utils.c
GENSRC	= Person_xsd.c Address_xsd.c

EXOBJ	= $(addsuffix .o, $(basename $(EXSRC)))
GENOBJ	= $(addsuffix .o, $(basename $(GENSRC)))
OBJECTS =  $(EXOBJ) $(GENOBJ) 
XSD2C	= ../../xsd2c

$(EXECNAME): stubs  $(GENSRC) $(OBJECTS) 
	$(CC) -g $(CFLAGS) -o $@ $(OBJECTS) $(CLIBS)

CFLAGS	= `xml2-config --cflags`
CLIBS	= `xml2-config --libs`

stubs:
	$(XSD2C)  -S $(XSDFILE) 

clean:
	-@rm -f *.o
	-@rm -f *_xsd.h
	-@rm -f *_xsd.c
	-@rm -f *~
	-@rm -f $(EXECNAME)

=== examples/xsd2c/ex3/Makefile ===
#########################################################
#
# XSD2C Examles Makefile
#
#########################################################

SHELL	= bash
CC	= gcc


VPATH	= . ../

EXECNAME= ex3.exe
XSDFILE = ex3.xsd
EXSRC	= ex3.c utils.c
GENSRC	= Person_xsd.c Customer_xsd.c

EXOBJ	= $(addsuffix .o, $(basename $(EXSRC)))
GENOBJ	= $(addsuffix .o, $(basename $(GENSRC)))
OBJECTS =  $(EXOBJ) $(GENOBJ) 
XSD2C	= ../../xsd2c

$(EXECNAME): stubs  $(GENSRC) $(OBJECTS) 
	$(CC) -g $(CFLAGS) -o $@ $(OBJECTS) $(CLIBS)

CFLAGS	= `xml2-config --cflags`
CLIBS	= `xml2-config --libs`


stubs:
	$(XSD2C)  -S $(XSDFILE) 

clean:
	-@rm -f *.o
	-@rm -f *_xsd.h
	-@rm -f *_xsd.c
	-@rm -f *~
	-@rm -f $(EXECNAME)

=== examples/xsd2c/ex4/Makefile ===
#########################################################
#
# XSD2C Examles Makefile
#
#########################################################

SHELL	= bash
CC	= gcc


VPATH	= . ../

EXECNAME= ex4.exe
XSDFILE = ex4.xsd
EXSRC	= ex4.c utils.c
GENSRC	= Person_xsd.c

EXOBJ	= $(addsuffix .o, $(basename $(EXSRC)))
GENOBJ	= $(addsuffix .o, $(basename $(GENSRC)))
OBJECTS =  $(EXOBJ) $(GENOBJ) 
XSD2C	= ../../xsd2c

CFLAGS	= `xml2-config --cflags`
CLIBS	  = `xml2-config --libs`

$(EXECNAME): stubs  $(GENSRC) $(OBJECTS) 
	$(CC) -g $(CFLAGS) -o $@ $(OBJECTS) $(CLIBS)


stubs:
	$(XSD2C) -S $(XSDFILE) 

clean:
	-@rm -f *.o
	-@rm -f *_xsd.h
	-@rm -f *_xsd.c
	-@rm -f *~
	-@rm -f $(EXECNAME)

=== debian/changelog ===
libcsoap (1.1.0-17.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control, debian/rules: Switch to automake1.11. (Closes:
    #724399)

 -- Eric Dorland <eric@debian.org>  Sun, 16 Feb 2014 16:04:44 -0500

=== debian/control ===
Source: libcsoap
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Build-Depends: debhelper (>= 5.0.0), autoconf, automake1.11, autotools-dev, libtool, libxml2-dev, libssl-dev, cdbs, quilt (>= 0.40)
Standards-Version: 3.8.1
Section: libs

Package: libcsoap-dev
Section: libdevel
Architecture: any
Depends: libcsoap1, pkg-config, ${misc:Depends}
Description: development header files for CSOAP library
 This package contains files needed to compile libcsoap applications.

Package: libnanohttp-dev
Section: libdevel
Architecture: any
Depends: libnanohttp1, pkg-config, ${misc:Depends}
Description: shared nanohttp header files for SOAP server apps in C
 This project provides a small SOAP server in C

Package: libnanohttp1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnanohttp1
Description: shared nanohttp library from CSOAP package
 Debug symbols included for this small SOAP server framework library

Package: libcsoap1-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsoap1
Description: shared CSOAP library for SOAP client/server in C
 Debug symbols included in this C SOAP library for network programming

Package: libnanohttp1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcsoap1 (<= 1.1.0-13)
Description: shared nanohttp library from CSOAP package
 This project in ANSI C provides a small SOAP server framework

Package: libcsoap1
Priority: optional
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libnanohttp1
Conflicts: libnanohttp1 (<= 1.1.0-13)
Description: shared CSOAP library for SOAP client/server in C
 This project in ANSI C provides a convenient SOAP API for clients and servers

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOMAKE = 1.11 --foreign --add-missing --copy
DEB_AUTO_UPDATE_AUTOCONF = 1.11

DEB_INSTALL_EXAMPLES_libcsoap-dev  = examples/*
DEB_DH_STRIP_ARGS_libcsoap1-dbg := --dbg-package=libcsoap1-dbg
DEB_DH_STRIP_ARGS_libnanohttp1-dbg := --dbg-package=libnanohttp1-dbg
DEB_CONFIGURE_USER_FLAGS := --with-ssl
